Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# AudioManager Class Reference

Inheritance diagram for AudioManager:

List of all members.

## Public Types
enum | SpeakerId { SPKNone = 0, SPKFrontleft = 1, SPKFrontright = 2, SPKCenter = 3, SPKSub = 4, SPKBackleft = 5, SPKBackright = 6, SPKSideleft = 7, SPKSideright = 8, SPKCOUNT = 9 }
enum | SpeakerModeCategory { SPEAKERMODERaw = 0, SPEAKERMODEMono = 1, SPEAKERMODEStereo = 2, SPEAKERMODEQuad = 3, SPEAKERMODESurround = 4, SPEAKERMODE5point1 = 5, SPEAKERMODE7point1 = 6, SPEAKERMODEPrologic = 7, SPEAKERMODEMax = 8, SPEAKERMODECOUNT = 9 }
enum | StreamMode { SMHeuristic = 0, SMSample = 1, SMStream = 2 }
## Public Member Functions
float | audio3dGetDistanceFactor ()
float | audio3dGetDopplerFactor ()
float | audio3dGetDropOffFactor ()
| audio3dSetDistanceFactor (float factor)
| audio3dSetDopplerFactor (float factor)
| audio3dSetDropOffFactor (float factor)
| audio3dSetListenerAttributes (float px, float py, float pz, float vx, float vy, float vz, float fx, float fy, float fz, float ux, float uy, float uz)
| clearCache ()
bool | configureFilters (FilterProperties config)
bool | getActive ()
unsigned int | getCacheLimit ()
unsigned int | getConcurrentSoundLimit ()
AudioSound | getNullSound ()
AudioSound | getSound (MovieAudio source)
AudioSound | getSound (string file_name, bool positional, int mode)
AudioSound | getSound (string file_name, bool positional)
AudioSound | getSound (string file_name)
AudioSound | getSound (MovieAudio source, bool positional, int mode)
AudioSound | getSound (MovieAudio source, bool positional)
int | getSpeakerSetup ()
float | getVolume ()
bool | isValid ()
| output (ostream out)
| reduceSoundsPlayingTo (unsigned int count)
| setActive (bool flag)
| setCacheLimit (unsigned int count)
| setConcurrentSoundLimit (unsigned int limit)
| setConcurrentSoundLimit ()
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3, VBase3 speaker4, VBase3 speaker5, VBase3 speaker6, VBase3 speaker7, VBase3 speaker8, VBase3 speaker9)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3, VBase3 speaker4, VBase3 speaker5, VBase3 speaker6)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3, VBase3 speaker4, VBase3 speaker5, VBase3 speaker6, VBase3 speaker7, VBase3 speaker8)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3, VBase3 speaker4)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3, VBase3 speaker4, VBase3 speaker5)
| setSpeakerConfiguration (VBase3 speaker1, VBase3 speaker2, VBase3 speaker3, VBase3 speaker4, VBase3 speaker5, VBase3 speaker6, VBase3 speaker7)
| setSpeakerConfiguration (VBase3 speaker1)
| setSpeakerSetup (SpeakerModeCategory cat)
| setVolume (float volume)
| shutdown ()
| stopAllSounds ()
| uncacheSound (string file_name)
| update ()
| write (ostream out)
## Static Public Member Functions
static AudioManager | createAudioManager ()
static TypeHandle | getClassType ()
static Filename | getDlsPathname ()

## Member Enumeration Documentation

enum SpeakerId

Enumerator:

  SPKNone |
  SPKFrontleft |
  SPKFrontright |
  SPKCenter |
  SPKSub |
  SPKBackleft |
  SPKBackright |
  SPKSideleft |
  SPKSideright |
  SPKCOUNT |

enum SpeakerModeCategory

Enumerator:

  SPEAKERMODERaw |
  SPEAKERMODEMono |
  SPEAKERMODEStereo |
  SPEAKERMODEQuad |
  SPEAKERMODESurround |
  SPEAKERMODE5point1 |
  SPEAKERMODE7point1 |
  SPEAKERMODEPrologic |
  SPEAKERMODEMax |
  SPEAKERMODECOUNT |

enum StreamMode

Enumerator:

  SMHeuristic |
  SMSample |
  SMStream |

## Member Function Documentation

float audio3dGetDistanceFactor | ( |  | ) |

float audio3dGetDopplerFactor | ( |  | ) |

float audio3dGetDropOffFactor | ( |  | ) |

audio3dSetDistanceFactor | ( | float | factor | ) |

audio3dSetDopplerFactor | ( | float | factor | ) |

audio3dSetDropOffFactor | ( | float | factor | ) |

audio3dSetListenerAttributes | ( | float | px,
|  | float | py,
|  | float | pz,
|  | float | vx,
|  | float | vy,
|  | float | vz,
|  | float | fx,
|  | float | fy,
|  | float | fz,
|  | float | ux,
|  | float | uy,
|  | float | uz
| ) |  |

clearCache | ( |  | ) |

bool configureFilters | ( | FilterProperties | config | ) |

static AudioManager createAudioManager | ( |  | ) | `[static]`

bool getActive | ( |  | ) |

unsigned int getCacheLimit | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

unsigned int getConcurrentSoundLimit | ( |  | ) |

static Filename getDlsPathname | ( |  | ) | `[static]`

AudioSound getNullSound | ( |  | ) |

AudioSound getSound | ( | MovieAudio | source,
|  | bool | positional
| ) |  |

AudioSound getSound | ( | MovieAudio | source | ) |

AudioSound getSound | ( | string | file_name,
|  | bool | positional,
|  | int | mode
| ) |  |

AudioSound getSound | ( | string | file_name,
|  | bool | positional
| ) |  |

AudioSound getSound | ( | MovieAudio | source,
|  | bool | positional,
|  | int | mode
| ) |  |

AudioSound getSound | ( | string | file_name | ) |

int getSpeakerSetup | ( |  | ) |

float getVolume | ( |  | ) |

bool isValid | ( |  | ) |

output | ( | ostream | out | ) |

reduceSoundsPlayingTo | ( | unsigned int | count | ) |

setActive | ( | bool | flag | ) |

setCacheLimit | ( | unsigned int | count | ) |

setConcurrentSoundLimit | ( |  | ) |

setConcurrentSoundLimit | ( | unsigned int | limit | ) |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3,
|  | VBase3 | speaker4,
|  | VBase3 | speaker5,
|  | VBase3 | speaker6,
|  | VBase3 | speaker7,
|  | VBase3 | speaker8,
|  | VBase3 | speaker9
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3,
|  | VBase3 | speaker4,
|  | VBase3 | speaker5
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3,
|  | VBase3 | speaker4
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3,
|  | VBase3 | speaker4,
|  | VBase3 | speaker5,
|  | VBase3 | speaker6,
|  | VBase3 | speaker7
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3,
|  | VBase3 | speaker4,
|  | VBase3 | speaker5,
|  | VBase3 | speaker6,
|  | VBase3 | speaker7,
|  | VBase3 | speaker8
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2
| ) |  |

setSpeakerConfiguration | ( | VBase3 | speaker1 | ) |

setSpeakerConfiguration | ( | VBase3 | speaker1,
|  | VBase3 | speaker2,
|  | VBase3 | speaker3,
|  | VBase3 | speaker4,
|  | VBase3 | speaker5,
|  | VBase3 | speaker6
| ) |  |

setSpeakerSetup | ( | SpeakerModeCategory | cat | ) |

setVolume | ( | float | volume | ) |

shutdown | ( |  | ) |

stopAllSounds | ( |  | ) |

uncacheSound | ( | string | file_name | ) |

update | ( |  | ) |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties